Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608237 - BCM57765 not detected / supported (tg3?) (mac mini 2010)
BCM57765 not detected / supported (tg3?) (mac mini 2010)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-26 05:25 EDT by Jurgen Kramer
Modified: 2010-06-28 20:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 20:22:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (2.06 KB, text/plain)
2010-06-26 05:25 EDT, Jurgen Kramer
no flags Details
lspci -vv output (30.01 KB, text/plain)
2010-06-26 05:26 EDT, Jurgen Kramer
no flags Details
lspci -nn output (2.56 KB, text/plain)
2010-06-27 05:30 EDT, Jurgen Kramer
no flags Details

  None (edit)
Description Jurgen Kramer 2010-06-26 05:25:41 EDT
Created attachment 427052 [details]
lspci output

Description of problem:
the BCM57765 on my 2010 mac mini is not detected / supported 

Version-Release number of selected component (if applicable):
2.6.33.3-85.fc13.x86_64

How reproducible:
always

Steps to Reproduce:
1. Boot F13
2. No ethernet
3.
  
Actual results:
No ethernet devices are detected

Expected results:
BCM57765 as eth0 (tg3 module?)

Additional info:
lspci reveals:
04:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM57765 Gigabit Ethernet PCIe
Comment 1 Jurgen Kramer 2010-06-26 05:26:12 EDT
Created attachment 427053 [details]
lspci -vv output
Comment 2 Chuck Ebbert 2010-06-26 16:57:49 EDT
We need the output of lspci -nn in order to see the device IDs.
Comment 3 Jurgen Kramer 2010-06-27 05:30:27 EDT
Created attachment 427189 [details]
lspci -nn output

Added the requested lspci -nn output
Comment 4 Chuck Ebbert 2010-06-28 01:17:49 EDT
Support for 57765 was added in 2.6.34, and the backport is not easy. You can try a 2.6.34 f-14 kernel from koji.
Comment 5 Jurgen Kramer 2010-06-28 12:08:58 EDT
OK, I've managed to boot a recent F13 live CD on the mac mini with kernel 2.6.35-0.2.rc3.git0 and I can confirm that the ethernet port works properly:

from dmesg:
<snip>
tg3.c:v3.110 (April 9, 2010)
tg3 0000:04:00.0: PCI INT A -> Link[Z00N] -> GSI 21 (level, low) -> IRQ 21
tg3 0000:04:00.0: setting latency timer to 64
tg3 0000:04:00.0: eth0: Tigon3 [partno(BCM957765) rev 57785000] (PCI Express) MAC address c4:2c:03:0b:4b:e3
tg3 0000:04:00.0: eth0: attached PHY is 57765 (10/100/1000Base-T Ethernet) (WireSpeed[1])
tg3 0000:04:00.0: eth0: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
tg3 0000:04:00.0: eth0: dma_rwctrl[00000001] dma_mask[64-bit]
<snip>
  alloc irq_desc for 44 on node -1
  alloc kstat_irqs on node -1
tg3 0000:04:00.0: irq 44 for MSI/MSI-X
  alloc irq_desc for 45 on node -1
  alloc kstat_irqs on node -1
tg3 0000:04:00.0: irq 45 for MSI/MSI-X
  alloc irq_desc for 46 on node -1
  alloc kstat_irqs on node -1
tg3 0000:04:00.0: irq 46 for MSI/MSI-X
ADDRCONF(NETDEV_UP): eth0: link is not ready
ip6_tables: (C) 2000-2006 Netfilter Core Team
tg3 0000:04:00.0: eth0: Link is up at 1000 Mbps, full duplex
tg3 0000:04:00.0: eth0: Flow control is on for TX and on for RX
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: no IPv6 routers present

I guess this bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.